Page MenuHomePhabricator

Make phabricator allow everyone create tasks
Closed, ResolvedPublic

Description

If we want Maniphest to replace Bugzilla, it has to allow task creation for every registered user.

Details

Commits
Restricted Diffusion Commit
Restricted Diffusion Commit
Restricted Diffusion Commit
Restricted Diffusion Commit
Difficulty level
Easy (less than an hour)

Event Timeline

dmbaturin created this task.Mar 5 2016, 1:11 PM
syncer claimed this task.Mar 5 2016, 1:34 PM
syncer added a subscriber: syncer.

will take care

syncer closed this task as Resolved.Mar 5 2016, 1:38 PM

I edited permissions on maniphest app and all registered users now can create tasks
i will check out how to limit editing of non-user owned tasks

EwaldvanGeffen added a subscriber: EwaldvanGeffen.EditedApr 13 2016, 5:22 PM

Can you make new tasks be assigned into some group 'triage' as for questions now is. The groups for questions should be kept simple as NAT, PBR, WLB, OPENVPN, IPSEC, DRIVER, KERNEL, ... because users will mostly interact with this part.

Then we should decide what to do with it: trash, categorize in sub-git entries. Here we should use the vyos-packaging naming I think because it would be easy for maintainers of certain packages to subscribe onto their group (notification wise)

I think a question could lead to a task (feat: blahblah / bug: xyz / pull-req-reminder). I don't know if you can convert a question into a task but I would keep this separate.

These tasks could be assigned to a dev or grouped in some way (because they related or depend).

I think questions and tasks are not convertible.

Auto-assign to a triage group sounds good. Who wants to volunteer for the triage group? :)

syncer added a comment.EditedApr 13 2016, 9:51 PM

I can create Projects as @EwaldvanGeffen proposed
Tickets always created with need triage state
someone need to specify project tags and priority

Diffusion added a commit: Restricted Diffusion Commit.Mar 14 2018, 12:24 PM
Diffusion added a commit: Restricted Diffusion Commit.Aug 14 2018, 5:59 PM
Diffusion added a commit: Restricted Diffusion Commit.Aug 21 2018, 7:28 AM
Diffusion added a commit: Restricted Diffusion Commit.